#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QNetworkAccessManager>
#include <QPlainTextEdit>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
        Q_OBJECT
        
    public:
        explicit MainWindow(QWidget *parent = 0);
        ~MainWindow();
        
    private slots:
        void on_pbtnRequest1_clicked();

        void on_pbtnRequest2_clicked();

        void slotFinished(QNetworkReply *xReply);

    private:
        Ui::MainWindow *ui;
        QNetworkAccessManager *mNetworkManager;
        QPlainTextEdit *mOutputTextEdit;
};

#endif // MAINWINDOW_H
